
package org.efremov.chapter14;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.6b21 
 * Generated source version: 2.2
 * 
 */
@WebService(name = "Validator", targetNamespace = "http://chapter14.efremov.org/")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface Validator {


    /**
     * 
     * @param arg0
     * @return
     *     returns boolean
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "validate", targetNamespace = "http://chapter14.efremov.org/", className = "org.efremov.chapter14.Validate")
    @ResponseWrapper(localName = "validateResponse", targetNamespace = "http://chapter14.efremov.org/", className = "org.efremov.chapter14.ValidateResponse")
    @Action(input = "http://chapter14.efremov.org/Validator/validateRequest", output = "http://chapter14.efremov.org/Validator/validateResponse")
    public boolean validate(
        @WebParam(name = "arg0", targetNamespace = "")
        CreditCard arg0);

}
